What mobile devices and/or operating systems do you support?

Follow
  • We currently support Android and iOS enabled devices.  This includes tablets, as well as smartphones.
  • For Android, you must have Android 4.0.3 or newer to install our app
  • For iOS, you must have iOS 6 or 7 installed.  Additionally, your iPhone must be a model 4S or newer
Have more questions? Submit a request

Comments